eoNDPlusReplacement(3)

NAME
eoNDPlusReplacement - An elitist non-dominated sorted replacement scheme.

SYNOPSIS

Inherits eoReplacement< EOT >< EOT >, and eoReplacement< EOT >< EOT >.

  Public Member Functions
eoNDPlusReplacement (eoPerf2Worth< EOT, WorthT > &_perf2worth)
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
The pure virtual function that needs to be implemented by the subclass.
eoNDPlusReplacement (eoPerf2Worth< EOT, WorthT > &_perf2worth)
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoPerf2Worth< EOT, WorthT > & perf2worth
eoPerf2Worth< EOT, WorthT > & perf2worth

Detailed Description

  template<class EOT, class WorthT = double> class eoNDPlusReplacement< EOT, WorthT >
An elitist non-dominated sorted replacement scheme. Trying out an elitist non-dominated sorted replacement scheme.

Definition at line 45 of file make_algo_pareto.h.

Author

Generated automatically by Doxygen for EO from the source code.